Main Page Widgets Namespaces Book

# Gtk::FileChooserError Class Reference

Inheritance diagram for Gtk::FileChooserError:

[legend]

List of all members.

## Detailed Description

Exception class for Gdk::FileChooser errors.

## Public Types

enum | Code { NONEXISTENT, BAD_FILENAME, ALREADY_EXISTS }

## Public Member Functions

Code | code () const
| FileChooserError (GError* gobject)
| FileChooserError (Code error_code, const Glib::ustring& error_message)

## Member Enumeration Documentation

enum Gtk::FileChooserError::Code

Enumerator:

  NONEXISTENT |
  BAD_FILENAME |
  ALREADY_EXISTS |

## Constructor & Destructor Documentation

Gtk::FileChooserError::FileChooserError | ( | Code | error_code,
|  | const Glib::ustring & | error_message |
| ) |  |  |

Gtk::FileChooserError::FileChooserError | ( | GError * | gobject | ) | `[explicit]`

## Member Function Documentation

Code Gtk::FileChooserError::code | ( |  | ) | const

Reimplemented from Glib::Error.

The documentation for this class was generated from the following file:

- filechooser.h